package com.adc.da.gen.jasypt;


import com.adc.da.util.util2.DateUtil;
import com.adc.da.util.utils.DateUtils;
import com.adc.da.znks.util.DateTimeUtil;
import com.adc.da.znks.util.SecurityUtils;
import org.junit.Test;

import java.util.Date;
import java.util.UUID;

public class SecurityUtilsTest {

    @Test
    public void encrypt() {
        String plainPassword = "123456";
        String uuid = UUID.randomUUID().toString();
        System.out.println(uuid);
        System.out.println(SecurityUtils.encrypt(plainPassword, uuid));
    }


    @Test
    public void decrypt() {
        System.out.println(SecurityUtils.decrypt("ad0b965b-2955-46ed-bc8c-ce1bc372184d",
                "0UZAb4D4uVKUPf+seuc/Fg=="));
    }


    @Test
    public void testDateTimeUtil() {
        long hours = DateTimeUtil.getHoursFromCurrentDayStartTime(new Date(System.currentTimeMillis()));
        System.out.println(hours);
        System.out.println(DateUtils.dateToString(new Date(System.currentTimeMillis()),
                "HH:mm"));
    }
}
